SystemOrganization addCategory: #'XML-Writer-Tests'!

TestCase subclass: #XMLWriterTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'XML-Writer-Tests'!

!XMLWriterTest commentStamp: '<historical>' prior: 0!
A simple test case class. 
Please add more tests to it!!!

!XMLWriterTest methodsFor: 'tests' stamp: 'StephaneDucasse 2/17/2013 10:03'!
testExampleUser

	| writer  |
	writer := XMLWriter new.
	writer
		enablePrettyPrinting;
		xml;
		comment: 'an example'.
	writer tag
		name: 'example:user';
		xmlnsAt: 'example' put: 'urn://example';
		with: [
			writer
				tag: 'username' with: 'jsmith';
				tag: 'real-name' with: 'John Smith';
				tag: 'age' with: '25';
				tag: 'id' with: '101'].
	self assert: writer contents = '<?xml version="1.0" encoding="UTF-8"?>
<!!--an example-->
<example:user xmlns:example="urn://example">
    <username>jsmith</username>
    <real-name>John Smith</real-name>
    <age>25</age>
    <id>101</id>
</example:user>'! !

!XMLWriterTest methodsFor: 'tests' stamp: 'StephaneDucasse 2/17/2013 10:03'!
testSimpleExample

	| writer  |
	writer := XMLWriter new.
	writer tag
			name: 'emptyTag';
			attributeAt: 'a' put: 'one';
			write.
			
	self assert: writer contents  =  '<emptyTag a="one" />'! !

!XMLWriterTest methodsFor: 'tests' stamp: 'StephaneDucasse 2/17/2013 10:06'!
testSimpleExampleWithWriteWith

	| res |
	res :=  XMLWriter new
		writeWith: [:writer |
			writer tag
				name: 'emptyTag';
				attributeAt: 'a' put: 'value'].
		
	self assert:  res contents  =  '<emptyTag a="value" />'! !
